package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.WxTransData;
import com.ruoyi.xq.dto.admin.account.WxTransDataAdminVo;
import com.ruoyi.xq.dto.app.account.StarWxTransReq;
import com.ruoyi.xq.dto.app.account.WxTransDataApplyReq;
import com.ruoyi.xq.dto.app.account.WxTransDataListAppVo;
import com.ruoyi.xq.dto.app.account.WxTransDataQuery;

/**
 * 微信交换数据Service接口
 *
 * @author 77
 * @date 2024-03-25
 */
public interface WxTransDataService extends IService<WxTransData> {

    void start(StarWxTransReq starWxTransReq);

    void apply(WxTransDataApplyReq req);

    Page<WxTransDataListAppVo> pageApp(PageQuery pageQuery, WxTransDataQuery wxTransDataQuery);

    Page<WxTransDataAdminVo> pageAdmin(PageQuery pageQuery, WxTransDataAdminVo bo);

    boolean allowAdmin(Long id);

    boolean notAllowAdmin(Long id);
}
